Bug 44222 - Update port: databases/gdbm to 1.8.2
Summary: Update port: databases/gdbm to 1.8.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-10-18 20:40 UTC by tkato
Modified: 2003-01-03 08:17 UTC (History)
0 users

See Also:


Attachments
file.diff (4.40 KB, patch)
2002-10-18 20:40 UTC, tkato
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato 2002-10-18 20:40:02 UTC
- Update to version 1.8.2

New file:
files/patch-Makefile.in
files/patch-configure

Remove file:
files/patch-aa
files/patch-ab

No response from maintainer.
Comment 1 Cyrille Lefevre 2002-10-22 19:59:30 UTC
I'll try to review this PR before the end of this week.

Cyrille.
-- 
Cyrille Lefevre                 mailto:cyrille.lefevre@laposte.net
Comment 2 Cyrille Lefevre 2002-10-24 02:42:58 UTC
On Wed, Oct 23, 2002 at 05:07:17AM +0900, KATO Tsuguru wrote:
> On Tue, 22 Oct 2002 20:45:29 +0200
> Cyrille Lefevre <cyrille.lefevre+dated+1035744332.b2c574@laposte.net> wrote:
> 
> > well, don't have time this w.e., I'll try to review this PR before
> > the end of this week. sorry.
> 
> gdbm is updated to version 1.8.3 at now. Here is an modified
> patch for this version.

thanks for your work.

changes rejected are :
Makefile
	INSTALL_INFO - change not needed
	keep in mind that the diffs should be small
	also, I hope that INSTALL_INFO be defined in Mk/bsd.ports.mk one day !
patch-aa -> patch-Makefile.in
	file name change not needed
	same assertion than before, don't delete/create files for
	cosmetic changes. don't blow the repository.

changes kept are :
Makefile
	PORTVERSION bumped
	CONFIGURE_TARGET added
	MAKE_ARGS deleted
distinfo
pkg-plist
	updated
files/patch-aa
	deleted
files/patch-ab
	updated
files/patch-configure
	new files

--- /dev/null	Thu Oct 24 02:55:05 2002
+++ files/patch-configure	Thu Oct 24 02:42:36 2002
@@ -0,0 +1,10 @@
+--- configure.orig	Sat Sep 28 08:23:50 2002
++++ configure	Wed Oct 16 06:15:31 2002
+@@ -6974,6 +6974,7 @@
+ 
+ # This can be used to rebuild libtool when needed
+ LIBTOOL_DEPS="$ac_aux_dir/ltmain.sh"
++$ac_aux_dir/ltconfig $LIBTOOL_DEPS
+ 
+ # Always use our own libtool.
+ LIBTOOL='$(SHELL) $(top_builddir)/libtool'

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/databases/gdbm/Makefile,v
retrieving revision 1.17
diff -u -r1.17 Makefile
--- Makefile	17 Jan 2002 23:13:36 -0000	1.17
+++ Makefile	24 Oct 2002 00:45:12 -0000
@@ -6,18 +6,17 @@
 #
 
 PORTNAME=	gdbm
-PORTVERSION=	1.8.0
+PORTVERSION=	1.8.3
 CATEGORIES=	databases
 MASTER_SITES=	${MASTER_SITE_GNU}
-MASTER_SITE_SUBDIR=	gdbm
+MASTER_SITE_SUBDIR=	${PORTNAME}
 
 MAINTAINER=	cyrille.lefevre@laposte.net
 
+USE_GMAKE=	yes
 USE_LIBTOOL=	yes
+CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
 INSTALLS_SHLIB=	yes
-USE_GMAKE=	yes
-# PREFIX isn't honored. force it w/ prefix.
-MAKE_ARGS=	prefix=${PREFIX}
 
 MAN3=		gdbm.3
 
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/databases/gdbm/distinfo,v
retrieving revision 1.2
diff -u -r1.2 distinfo
--- distinfo	6 Jun 1999 16:49:01 -0000	1.2
+++ distinfo	24 Oct 2002 00:42:04 -0000
@@ -1 +1 @@
-MD5 (gdbm-1.8.0.tar.gz) = cd543862287f55ad66e62cc9d82cc906
+MD5 (gdbm-1.8.3.tar.gz) = 1d1b1d5c0245b1c00aff92da751e9aa1
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/databases/gdbm/pkg-plist,v
retrieving revision 1.6
diff -u -r1.6 pkg-plist
--- pkg-plist	16 Jun 2000 10:37:46 -0000	1.6
+++ pkg-plist	24 Oct 2002 00:42:36 -0000
@@ -4,4 +4,4 @@
 @exec install-info %D/info/gdbm.info %D/info/dir
 lib/libgdbm.a
 lib/libgdbm.so
-lib/libgdbm.so.2
+lib/libgdbm.so.3
Index: files/patch-ab
===================================================================
RCS file: /home/ncvs/ports/databases/gdbm/files/patch-ab,v
retrieving revision 1.3
diff -u -r1.3 patch-ab
--- files/patch-ab	27 Feb 2000 04:43:29 -0000	1.3
+++ files/patch-ab	24 Oct 2002 00:42:04 -0000
@@ -1,34 +1,20 @@
---- Makefile.in.orig	Wed May 19 11:16:06 1999
-+++ Makefile.in	Sun Feb 27 03:05:15 2000
-@@ -27,11 +27,11 @@
- LIBS = @LIBS@ -lc
- 
- # SunOS 4 users might wish to add '-fpcc-struct-return' to CFLAGS. see INSTALL.
--CFLAGS = -O
-+#CFLAGS = -O
- LDFLAGS =
- 
- # Common prefix for installation directories
--prefix = /usr/local
-+prefix = @prefix@
- exec_prefix = $(prefix)
- binprefix = $(exec_prefix)
- manprefix = $(prefix)
-@@ -115,7 +115,7 @@
+--- Makefile.in.orig	Wed Oct  9 01:09:12 2002
++++ Makefile.in	Tue Oct 22 22:19:59 2002
+@@ -24,7 +24,7 @@
+ DEFS =
+ 
+ # Where the system [n]dbm routines are...
+-LIBS = @LIBS@ -lc
++LIBS = @LIBS@
+ 
+ CFLAGS = @CFLAGS@
+ LDFLAGS = @LDFLAGS@
+@@ -122,7 +122,7 @@
  
  DISTFILES = $(SRCS) $(HDRS) $(MSCFILES)
  
--all: libgdbm.la
-+all: libgdbm.la info
+-all: libgdbm.la libgdbm_compat.la
++all: libgdbm.la libgdbm_compat.la gdbm.info
  
  progs: $(PROGS)
  
-@@ -187,7 +187,7 @@
- 
- info: gdbm.info
- 
--gdbm.info:
-+gdbm.info: gdbm.texinfo
- 	$(MAKEINFO) $(srcdir)/gdbm.texinfo
- 
- dvi: gdbm.dvi

Cyrille.
-- 
Cyrille Lefevre                 mailto:cyrille.lefevre@laposte.net
Comment 3 Ying-Chieh Liao freebsd_committer 2003-01-03 08:17:07 UTC
State Changed
From-To: open->closed

committed, thanks